import { EventEmitter } from '../../stencil-public-runtime';
import { ComponentClickEvent, ComponentErrorEvent, PagingInfo, PaymentBalanceTransaction } from '../../api';
import JustifiAnalytics from '../../api/Analytics';
import { Table } from '../../utils/table';
export declare class JustifiPaymentTransactionsList {
    balanceTransactions: PaymentBalanceTransaction[];
    transactionsTable: Table<PaymentBalanceTransaction>;
    isLoading: boolean;
    errorMessage: string;
    paging: PagingInfo;
    pagingParams: any;
    paymentId: string;
    authToken: string;
    columns?: string;
    clickEvent: EventEmitter<ComponentClickEvent>;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    analytics: JustifiAnalytics;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    propChanged(): void;
    private handleError;
    private initializeApi;
    handleClickPrevious: (beforeCursor: string) => void;
    handleClickNext: (afterCursor: string) => void;
    rowClickHandler: (e: any) => void;
    get entityId(): string[];
    get showEmptyState(): boolean;
    get showErrorState(): boolean;
    get showRowData(): boolean;
    render(): any;
}
